KSeparator class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KSeparator Class Reference

Standard horizontal or vertical separator. More...

`#include <kseparator.h>`

Inheritance diagram for KSeparator:

[legend]
Collaboration diagram for KSeparator:

[legend]
List of all members.

## Public Member Functions
| KSeparator (QWidget *parent=0, const char *name=0, WFlags f=0)
| Constructor.
| KSeparator (int orientation, QWidget *parent=0, const char *name=0, WFlags f=0)
| Constructor.
int | orientation () const
| Returns the orientation of the separator.
void | setOrientation (int orient)
| Set the orientation of the separator to `orient`.
virtual QSize | sizeHint () const
| The recommended height (width) for a horizontal (vertical) separator.
## Protected Member Functions
virtual void | drawFrame (QPainter *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Standard horizontal or vertical separator.

Author:
  Michael Roth <mroth@wirlweb.de>

Version:
  Id
    kseparator.h,v 1.10 2002/03/04 00:51:51 lunakl Exp

Definition at line 31 of file kseparator.h.

## Constructor & Destructor Documentation

KSeparator::KSeparator | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | WFlags | f = 0
| ) |

| Constructor. Definition at line 28 of file kseparator.cpp. References KStdAccel::name(), QFrame::setLineWidth(), QFrame::setMidLineWidth(), and setOrientation().

KSeparator::KSeparator | ( | int | orientation,
|  | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | WFlags | f = 0
| ) |

  | Constructor. Parameters:
  orientation | Set the orientation of the separator. Possible values are HLine or Horizontal and VLine or Vertical.
Definition at line 38 of file kseparator.cpp. References KStdAccel::name(), QFrame::setLineWidth(), QFrame::setMidLineWidth(), and setOrientation().

## Member Function Documentation

int KSeparator::orientation | ( |  | ) | const

| Returns the orientation of the separator. Possible values are VLine and HLine. Definition at line 71 of file kseparator.cpp. References QFrame::frameStyle().

void KSeparator::setOrientation | ( | int | orient | ) |

| Set the orientation of the separator to `orient`. Possible values are VLine and HLine. Definition at line 48 of file kseparator.cpp. References QFrame::setFrameStyle(). Referenced by KDialogBase::enableButtonSeparator(), KSeparator(), and KDialogBase::setButtonBoxOrientation().

QSize KSeparator::sizeHint | ( |  | ) | const`[virtual]`

| The recommended height (width) for a horizontal (vertical) separator. Definition at line 107 of file kseparator.cpp. References QFrame::frameStyle().

The documentation for this class was generated from the following files:

- kseparator.h
- kseparator.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001